Package org.opensaml.spring.credential

# Class BasicResourceCredentialFactoryBean

java.lang.Object
net.shibboleth.shared.spring.factory.AbstractFactoryBean<T>
net.shibboleth.shared.spring.factory.AbstractComponentAwareFactoryBean<T>
org.opensaml.spring.credential.AbstractCredentialFactoryBean<BasicCredential>
org.opensaml.spring.credential.AbstractBasicCredentialFactoryBean
org.opensaml.spring.credential.BasicResourceCredentialFactoryBean

All Implemented Interfaces:
  `Aware`, `BeanClassLoaderAware`, `BeanFactoryAware`, `DisposableBean`, `FactoryBean<BasicCredential>`, `InitializingBean`

public class BasicResourceCredentialFactoryBean extends AbstractBasicCredentialFactoryBean
Spring bean factory for producing a `BasicCredential` from `Resource`s.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.spring.credential.AbstractBasicCredentialFactoryBean

`AbstractBasicCredentialFactoryBean.SecretKeyEncoding`

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
log.
`private Resource`
`privateKeyInfo`
Configured private key Info.
`private Resource`
`publicKeyInfo`
Configured public key Info.
`private Resource`
`secretKeyInfo`
Configured secret key Info.

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`BasicResourceCredentialFactoryBean()`

## Method Summary

Modifier and Type
Method
Description
`protected PrivateKey`
`getPrivateKey()`
Get the configured Private key.
`Resource`
`getPrivateKeyInfo()`
Get the information used to generate the private key.
`protected PublicKey`
`getPublicKey()`
return the configured Public Key.
`Resource`
`getPublicKeyInfo()`
Get the information used to generate the public key.
`protected SecretKey`
`getSecretKey()`
return the configured Secret Key.
`Resource`
`getSecretKeyInfo()`
Get the information used to generate the secret key.
`void`
`setPrivateKeyInfo(Resource info)`
Set the information used to generate the private key.
`void`
`setPublicKeyInfo(Resource info)`
Set the information used to generate the public key.
`void`
`setSecretKeyInfo(Resource info)`
Set the information used to generate the secret key.

### Methods inherited from class org.opensaml.spring.credential.AbstractBasicCredentialFactoryBean

`decodeSecretKey, decodeSecretKey, doCreateInstance, getObjectType, getSecretKeyAlgorithm, getSecretKeyEncoding, setSecretKeyAlgorithm, setSecretKeyEncoding`

### Methods inherited from class org.opensaml.spring.credential.AbstractCredentialFactoryBean

`getConfigDescription, getEntityID, getKeyNames, getPrivateKeyPassword, getUsageType, setConfigDescription, setEntityID, setKeyNames, setPrivateKeyPassword, setUsageType`

### Methods inherited from class net.shibboleth.shared.spring.factory.AbstractComponentAwareFactoryBean

`createInstance, destroyInstance, setThrowIfNull`

### Methods inherited from class net.shibboleth.shared.spring.factory.AbstractFactoryBean

`afterPropertiesSet, destroy, getBeanFactory, getBeanTypeConverter, getEarlySingletonInterfaces, getObject, isSingleton, setBeanClassLoader, setBeanFactory, setSingleton`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
log.

### publicKeyInfo

@Nullable private Resource publicKeyInfo
Configured public key Info.

### privateKeyInfo

@Nullable private Resource privateKeyInfo
Configured private key Info.

### secretKeyInfo

@Nullable private Resource secretKeyInfo
Configured secret key Info.

## Constructor Details

### BasicResourceCredentialFactoryBean

public BasicResourceCredentialFactoryBean()

## Method Details

### getPublicKeyInfo

@Nullable public Resource getPublicKeyInfo()
Get the information used to generate the public key.

Returns:
  Returns the info.

### setPublicKeyInfo

public void setPublicKeyInfo(@Nullable Resource info)
Set the information used to generate the public key.

Parameters:
  `info` - The info to set.

### getPrivateKeyInfo

@Nullable public Resource getPrivateKeyInfo()
Get the information used to generate the private key.

Returns:
  Returns the info.

### setPrivateKeyInfo

public void setPrivateKeyInfo(@Nullable Resource info)
Set the information used to generate the private key.

Parameters:
  `info` - The info to set.

### getSecretKeyInfo

@Nullable public Resource getSecretKeyInfo()
Get the information used to generate the secret key.

Returns:
  Returns the info.

### setSecretKeyInfo

public void setSecretKeyInfo(@Nullable Resource info)
Set the information used to generate the secret key.

Parameters:
  `info` - The info to set.

### getPublicKey

@Nullable protected PublicKey getPublicKey()
return the configured Public Key.

Specified by:
  `getPublicKey` in class `AbstractBasicCredentialFactoryBean`
Returns:
  the key, or none if not configured.

### getPrivateKey

@Nullable protected PrivateKey getPrivateKey()
Get the configured Private key.

Specified by:
  `getPrivateKey` in class `AbstractBasicCredentialFactoryBean`
Returns:
  the key or null if non configured

### getSecretKey

@Nullable protected SecretKey getSecretKey()
return the configured Secret Key.

Specified by:
  `getSecretKey` in class `AbstractBasicCredentialFactoryBean`
Returns:
  the key, or none if not configured.